Bug 55058 - [PATCH] patch for missing function FactDouble
[PATCH] patch for missing function FactDouble
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: POI Overall
3.10-dev
PC All
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-06-04 20:57 UTC by Cédric Walter
Modified: 2013-10-10 10:42 UTC (History)
0 users



Attachments
FactDoubleFunctionTestCaseData.xls (27.50 KB, application/vnd.ms-excel)
2013-06-04 20:57 UTC, Cédric Walter
Details
FactDouble patch (6.13 KB, patch)
2013-06-04 20:59 UTC, Cédric Walter
Details | Diff
Add additional sanity check/integration test FormulaEvalTestData.xls (173.00 KB, application/vnd.ms-excel)
2013-06-17 20:21 UTC, Cédric Walter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Walter 2013-06-04 20:57:50 UTC
Created attachment 30391 [details]
FactDoubleFunctionTestCaseData.xls

Returns the double factorial of a number.

FACTDOUBLE(number)

Number     is the value for which to return the double factorial. If number is not an integer, it is truncated.

Remarks

If number is nonnumeric, FACTDOUBLE returns the #VALUE! error value.
If number is negative, FACTDOUBLE returns the #NUM! error value.

Use a cache for more speed of previously calculated factorial
Comment 1 Cédric Walter 2013-06-04 20:59:08 UTC
Created attachment 30392 [details]
FactDouble patch
Comment 2 Cédric Walter 2013-06-17 20:21:01 UTC
Created attachment 30455 [details]
Add additional sanity check/integration test FormulaEvalTestData.xls
Comment 3 Cédric Walter 2013-10-10 10:42:36 UTC
merged in r1530907